--- /homez.786/ridinteadu/_serious_analysis/van_21.0.0/dolibarr-21.0.0/htdocs/comm/propal/list.php	2025-03-03 15:58:17.000000000 +0000
+++ /homez.786/ridinteadu/seriousbeta/dolibarr/htdocs/comm/propal/list.php	2025-03-17 14:10:29.831059000 +0000
@@ -914,194 +931,194 @@
 
 	$id = $obj->rowid;
 
-	header("Location: ".DOL_URL_ROOT.'/comm/propal/card.php?id='.$id);
+	header("Location: " . DOL_URL_ROOT . '/comm/propal/card.php?id=' . $id);
 	exit;
 }
 
 $help_url = 'EN:Commercial_Proposals|FR:Proposition_commerciale|ES:Presupuestos';
 llxHeader('', $title, $help_url, '', 0, 0, '', '', '', 'bodyforlist');
 
-$param = '&search_status='.urlencode($search_status);
+$param = '&search_status=' . urlencode($search_status);
 if (!empty($mode)) {
-	$param .= '&mode='.urlencode($mode);
+	$param .= '&mode=' . urlencode($mode);
 }
 if (!empty($contextpage) && $contextpage != $_SERVER["PHP_SELF"]) {
-	$param .= '&contextpage='.urlencode($contextpage);
+	$param .= '&contextpage=' . urlencode($contextpage);
 }
 if ($limit > 0 && $limit != $conf->liste_limit) {
-	$param .= '&limit='.((int) $limit);
+	$param .= '&limit=' . ((int) $limit);
 }
 if ($optioncss != '') {
-	$param .= '&optioncss='.urlencode($optioncss);
+	$param .= '&optioncss=' . urlencode($optioncss);
 }
 if ($socid > 0) {
-	$param .= '&socid='.urlencode((string) ($socid));
+	$param .= '&socid=' . urlencode((string) ($socid));
 }
 if ($search_all) {
-	$param .= '&search_all='.urlencode($search_all);
+	$param .= '&search_all=' . urlencode($search_all);
 }
 if ($search_date_startday) {
-	$param .= '&search_date_startday='.urlencode((string) ($search_date_startday));
+	$param .= '&search_date_startday=' . urlencode((string) ($search_date_startday));
 }
 if ($search_date_startmonth) {
-	$param .= '&search_date_startmonth='.urlencode((string) ($search_date_startmonth));
+	$param .= '&search_date_startmonth=' . urlencode((string) ($search_date_startmonth));
 }
 if ($search_date_startyear) {
-	$param .= '&search_date_startyear='.urlencode((string) ($search_date_startyear));
+	$param .= '&search_date_startyear=' . urlencode((string) ($search_date_startyear));
 }
 if ($search_date_endday) {
-	$param .= '&search_date_endday='.urlencode((string) ($search_date_endday));
+	$param .= '&search_date_endday=' . urlencode((string) ($search_date_endday));
 }
 if ($search_date_endmonth) {
-	$param .= '&search_date_endmonth='.urlencode((string) ($search_date_endmonth));
+	$param .= '&search_date_endmonth=' . urlencode((string) ($search_date_endmonth));
 }
 if ($search_date_endyear) {
-	$param .= '&search_date_endyear='.urlencode((string) ($search_date_endyear));
+	$param .= '&search_date_endyear=' . urlencode((string) ($search_date_endyear));
 }
 if ($search_date_end_startday) {
-	$param .= '&search_date_end_startday='.urlencode((string) ($search_date_end_startday));
+	$param .= '&search_date_end_startday=' . urlencode((string) ($search_date_end_startday));
 }
 if ($search_date_end_startmonth) {
-	$param .= '&search_date_end_startmonth='.urlencode((string) ($search_date_end_startmonth));
+	$param .= '&search_date_end_startmonth=' . urlencode((string) ($search_date_end_startmonth));
 }
 if ($search_date_end_startyear) {
-	$param .= '&search_date_end_startyear='.urlencode((string) ($search_date_end_startyear));
+	$param .= '&search_date_end_startyear=' . urlencode((string) ($search_date_end_startyear));
 }
 if ($search_date_end_endday) {
-	$param .= '&search_date_end_endday='.urlencode((string) ($search_date_end_endday));
+	$param .= '&search_date_end_endday=' . urlencode((string) ($search_date_end_endday));
 }
 if ($search_date_end_endmonth) {
-	$param .= '&search_date_end_endmonth='.urlencode((string) ($search_date_end_endmonth));
+	$param .= '&search_date_end_endmonth=' . urlencode((string) ($search_date_end_endmonth));
 }
 if ($search_date_end_endyear) {
-	$param .= '&search_date_end_endyear='.urlencode((string) ($search_date_end_endyear));
+	$param .= '&search_date_end_endyear=' . urlencode((string) ($search_date_end_endyear));
 }
 if ($search_date_delivery_startday) {
-	$param .= '&search_date_delivery_startday='.urlencode((string) ($search_date_delivery_startday));
+	$param .= '&search_date_delivery_startday=' . urlencode((string) ($search_date_delivery_startday));
 }
 if ($search_date_delivery_startmonth) {
-	$param .= '&search_date_delivery_startmonth='.urlencode((string) ($search_date_delivery_startmonth));
+	$param .= '&search_date_delivery_startmonth=' . urlencode((string) ($search_date_delivery_startmonth));
 }
 if ($search_date_delivery_startyear) {
-	$param .= '&search_date_delivery_startyear='.urlencode((string) ($search_date_delivery_startyear));
+	$param .= '&search_date_delivery_startyear=' . urlencode((string) ($search_date_delivery_startyear));
 }
 if ($search_date_delivery_endday) {
-	$param .= '&search_date_delivery_endday='.urlencode((string) ($search_date_delivery_endday));
+	$param .= '&search_date_delivery_endday=' . urlencode((string) ($search_date_delivery_endday));
 }
 if ($search_date_delivery_endmonth) {
-	$param .= '&search_date_delivery_endmonth='.urlencode((string) ($search_date_delivery_endmonth));
+	$param .= '&search_date_delivery_endmonth=' . urlencode((string) ($search_date_delivery_endmonth));
 }
 if ($search_date_delivery_endyear) {
-	$param .= '&search_date_delivery_endyear='.urlencode((string) ($search_date_delivery_endyear));
+	$param .= '&search_date_delivery_endyear=' . urlencode((string) ($search_date_delivery_endyear));
 }
 if ($search_ref) {
-	$param .= '&search_ref='.urlencode($search_ref);
+	$param .= '&search_ref=' . urlencode($search_ref);
 }
 if ($search_refcustomer) {
-	$param .= '&search_refcustomer='.urlencode($search_refcustomer);
+	$param .= '&search_refcustomer=' . urlencode($search_refcustomer);
 }
 if ($search_refproject) {
-	$param .= '&search_refproject='.urlencode($search_refproject);
+	$param .= '&search_refproject=' . urlencode($search_refproject);
 }
 if ($search_societe) {
-	$param .= '&search_societe='.urlencode($search_societe);
+	$param .= '&search_societe=' . urlencode($search_societe);
 }
 if ($search_societe_alias) {
-	$param .= '&search_societe_alias='.urlencode($search_societe_alias);
+	$param .= '&search_societe_alias=' . urlencode($search_societe_alias);
 }
 if ($search_user > 0) {
-	$param .= '&search_user='.urlencode((string) ($search_user));
+	$param .= '&search_user=' . urlencode((string) ($search_user));
 }
 if ($search_sale > 0) {
-	$param .= '&search_sale='.urlencode((string) $search_sale);
+	$param .= '&search_sale=' . urlencode((string) $search_sale);
 }
 if ($search_montant_ht) {
-	$param .= '&search_montant_ht='.urlencode($search_montant_ht);
+	$param .= '&search_montant_ht=' . urlencode($search_montant_ht);
 }
 if ($search_multicurrency_code != '') {
-	$param .= '&search_multicurrency_code='.urlencode($search_multicurrency_code);
+	$param .= '&search_multicurrency_code=' . urlencode($search_multicurrency_code);
 }
 if ($search_multicurrency_tx != '') {
-	$param .= '&search_multicurrency_tx='.urlencode($search_multicurrency_tx);
+	$param .= '&search_multicurrency_tx=' . urlencode($search_multicurrency_tx);
 }
 if ($search_multicurrency_montant_ht != '') {
-	$param .= '&search_multicurrency_montant_ht='.urlencode($search_multicurrency_montant_ht);
+	$param .= '&search_multicurrency_montant_ht=' . urlencode($search_multicurrency_montant_ht);
 }
 if ($search_multicurrency_montant_vat != '') {
-	$param .= '&search_multicurrency_montant_vat='.urlencode($search_multicurrency_montant_vat);
+	$param .= '&search_multicurrency_montant_vat=' . urlencode($search_multicurrency_montant_vat);
 }
 if ($search_multicurrency_montant_ttc != '') {
-	$param .= '&search_multicurrency_montant_ttc='.urlencode($search_multicurrency_montant_ttc);
+	$param .= '&search_multicurrency_montant_ttc=' . urlencode($search_multicurrency_montant_ttc);
 }
 if ($search_login) {
-	$param .= '&search_login='.urlencode($search_login);
+	$param .= '&search_login=' . urlencode($search_login);
 }
 if ($search_town) {
-	$param .= '&search_town='.urlencode($search_town);
+	$param .= '&search_town=' . urlencode($search_town);
 }
 if ($search_zip) {
-	$param .= '&search_zip='.urlencode($search_zip);
+	$param .= '&search_zip=' . urlencode($search_zip);
 }
 if ($search_categ_cus > 0) {
-	$param .= '&search_categ_cus='.urlencode((string) ($search_categ_cus));
+	$param .= '&search_categ_cus=' . urlencode((string) ($search_categ_cus));
 }
 if ($search_product_category != '') {
-	$param .= '&search_product_category='.urlencode((string) ($search_product_category));
+	$param .= '&search_product_category=' . urlencode((string) ($search_product_category));
 }
 if ($search_fk_cond_reglement > 0) {
-	$param .= '&search_fk_cond_reglement='.urlencode((string) ($search_fk_cond_reglement));
+	$param .= '&search_fk_cond_reglement=' . urlencode((string) ($search_fk_cond_reglement));
 }
 if ($search_fk_shipping_method > 0) {
-	$param .= '&search_fk_shipping_method='.urlencode((string) ($search_fk_shipping_method));
+	$param .= '&search_fk_shipping_method=' . urlencode((string) ($search_fk_shipping_method));
 }
 if ($search_fk_input_reason > 0) {
-	$param .= '&search_fk_input_reason='.urlencode((string) ($search_fk_input_reason));
+	$param .= '&search_fk_input_reason=' . urlencode((string) ($search_fk_input_reason));
 }
 if ($search_fk_mode_reglement > 0) {
-	$param .= '&search_fk_mode_reglement='.urlencode((string) ($search_fk_mode_reglement));
+	$param .= '&search_fk_mode_reglement=' . urlencode((string) ($search_fk_mode_reglement));
 }
 if ($search_type_thirdparty > 0) {
-	$param .= '&search_type_thirdparty='.urlencode((string) ($search_type_thirdparty));
+	$param .= '&search_type_thirdparty=' . urlencode((string) ($search_type_thirdparty));
 }
 if ($search_town) {
-	$param .= '&search_town='.urlencode($search_town);
+	$param .= '&search_town=' . urlencode($search_town);
 }
 if ($search_zip) {
-	$param .= '&search_zip='.urlencode($search_zip);
+	$param .= '&search_zip=' . urlencode($search_zip);
 }
 if ($search_state) {
-	$param .= '&search_state='.urlencode($search_state);
+	$param .= '&search_state=' . urlencode($search_state);
 }
 if ($search_town) {
-	$param .= '&search_town='.urlencode($search_town);
+	$param .= '&search_town=' . urlencode($search_town);
 }
 if ($search_country) {
-	$param .= '&search_country='.urlencode((string) ($search_country));
+	$param .= '&search_country=' . urlencode((string) ($search_country));
 }
 if ($search_date_signature_startday) {
-	$param .= '&search_date_signature_startday='.urlencode((string) ($search_date_signature_startday));
+	$param .= '&search_date_signature_startday=' . urlencode((string) ($search_date_signature_startday));
 }
 if ($search_date_signature_startmonth) {
-	$param .= '&search_date_signature_startmonth='.urlencode((string) ($search_date_signature_startmonth));
+	$param .= '&search_date_signature_startmonth=' . urlencode((string) ($search_date_signature_startmonth));
 }
 if ($search_date_signature_startyear) {
-	$param .= '&search_date_signature_startyear='.urlencode((string) ($search_date_signature_startyear));
+	$param .= '&search_date_signature_startyear=' . urlencode((string) ($search_date_signature_startyear));
 }
 if ($search_date_signature_endday) {
-	$param .= '&search_date_signature_endday='.urlencode((string) ($search_date_signature_endday));
+	$param .= '&search_date_signature_endday=' . urlencode((string) ($search_date_signature_endday));
 }
 if ($search_date_signature_endmonth) {
-	$param .= '&search_date_signature_endmonth='.urlencode((string) ($search_date_signature_endmonth));
+	$param .= '&search_date_signature_endmonth=' . urlencode((string) ($search_date_signature_endmonth));
 }
 if ($search_date_signature_endyear) {
-	$param .= '&search_date_signature_endyear='.urlencode((string) ($search_date_signature_endyear));
+	$param .= '&search_date_signature_endyear=' . urlencode((string) ($search_date_signature_endyear));
 }
 if ($search_import_key != '') {
-	$param .= '&search_import_key='.urlencode($search_import_key);
+	$param .= '&search_import_key=' . urlencode($search_import_key);
 }
 
 // Add $param from extra fields
-include DOL_DOCUMENT_ROOT.'/core/tpl/extrafields_list_search_param.tpl.php';
+include DOL_DOCUMENT_ROOT . '/core/tpl/extrafields_list_search_param.tpl.php';
 // Add $param from hooks
 $parameters = array('param' => &$param);
 $reshook = $hookmanager->executeHooks('printFieldListSearchParam', $parameters, $object, $action); // Note that $action and $object may have been modified by hook
@@ -1109,22 +1126,22 @@
 
 // List of mass actions available
 $arrayofmassactions = array(
-	'generate_doc' => img_picto('', 'pdf', 'class="pictofixedwidth"').$langs->trans("ReGeneratePDF"),
-	'builddoc' => img_picto('', 'pdf', 'class="pictofixedwidth"').$langs->trans("PDFMerge"),
+	'generate_doc' => img_picto('', 'pdf', 'class="pictofixedwidth"') . $langs->trans("ReGeneratePDF"),
+	'builddoc' => img_picto('', 'pdf', 'class="pictofixedwidth"') . $langs->trans("PDFMerge"),
 );
 if ($permissiontosendbymail) {
-	$arrayofmassactions['presend'] = img_picto('', 'email', 'class="pictofixedwidth"').$langs->trans("SendByMail");
+	$arrayofmassactions['presend'] = img_picto('', 'email', 'class="pictofixedwidth"') . $langs->trans("SendByMail");
 }
 if ($permissiontovalidate) {
-	$arrayofmassactions['prevalidate'] = img_picto('', 'check', 'class="pictofixedwidth"').$langs->trans("Validate");
+	$arrayofmassactions['prevalidate'] = img_picto('', 'check', 'class="pictofixedwidth"') . $langs->trans("Validate");
 }
 if ($permissiontoclose) {
-	$arrayofmassactions['presign'] = img_picto('', 'propal', 'class="pictofixedwidth"').$langs->trans("Sign");
-	$arrayofmassactions['nopresign'] = img_picto('', 'propal', 'class="pictofixedwidth"').$langs->trans("NoSign");
-	$arrayofmassactions['setbilled'] = img_picto('', 'bill', 'class="pictofixedwidth"').$langs->trans("ClassifyBilled");
+	$arrayofmassactions['presign'] = img_picto('', 'propal', 'class="pictofixedwidth"') . $langs->trans("Sign");
+	$arrayofmassactions['nopresign'] = img_picto('', 'propal', 'class="pictofixedwidth"') . $langs->trans("NoSign");
+	$arrayofmassactions['setbilled'] = img_picto('', 'bill', 'class="pictofixedwidth"') . $langs->trans("ClassifyBilled");
 }
 if ($permissiontodelete) {
-	$arrayofmassactions['predelete'] = img_picto('', 'delete', 'class="pictofixedwidth"').$langs->trans("Delete");
+	$arrayofmassactions['predelete'] = img_picto('', 'delete', 'class="pictofixedwidth"') . $langs->trans("Delete");
 }
 
 if (in_array($massaction, array('presend', 'predelete', 'closed'))) {
@@ -1132,37 +1149,37 @@
 }
 $massactionbutton = $form->selectMassAction('', $arrayofmassactions);
 
-$url = DOL_URL_ROOT.'/comm/propal/card.php?action=create';
+$url = DOL_URL_ROOT . '/comm/propal/card.php?action=create';
 if (!empty($socid)) {
-	$url .= '&socid='.$socid;
+	$url .= '&socid=' . $socid;
 }
 $newcardbutton = '';
-$newcardbutton .= dolGetButtonTitle($langs->trans('ViewList'), '', 'fa fa-bars imgforviewmode', $_SERVER["PHP_SELF"].'?mode=common'.preg_replace('/(&|\?)*mode=[^&]+/', '', $param), '', ((empty($mode) || $mode == 'common') ? 2 : 1), array('morecss' => 'reposition'));
-$newcardbutton .= dolGetButtonTitle($langs->trans('ViewKanban'), '', 'fa fa-th-list imgforviewmode', $_SERVER["PHP_SELF"].'?mode=kanban'.preg_replace('/(&|\?)*mode=[^&]+/', '', $param), '', ($mode == 'kanban' ? 2 : 1), array('morecss' => 'reposition'));
+$newcardbutton .= dolGetButtonTitle($langs->trans('ViewList'), '', 'fa fa-bars imgforviewmode', $_SERVER["PHP_SELF"] . '?mode=common' . preg_replace('/(&|\?)*mode=[^&]+/', '', $param), '', ((empty($mode) || $mode == 'common') ? 2 : 1), array('morecss' => 'reposition'));
+$newcardbutton .= dolGetButtonTitle($langs->trans('ViewKanban'), '', 'fa fa-th-list imgforviewmode', $_SERVER["PHP_SELF"] . '?mode=kanban' . preg_replace('/(&|\?)*mode=[^&]+/', '', $param), '', ($mode == 'kanban' ? 2 : 1), array('morecss' => 'reposition'));
 $newcardbutton .= dolGetButtonTitleSeparator();
 $newcardbutton .= dolGetButtonTitle($langs->trans('NewPropal'), '', 'fa fa-plus-circle', $url, '', $user->hasRight('propal', 'creer'));
 
 // Fields title search
-print '<form method="POST" id="searchFormList" action="'.$_SERVER["PHP_SELF"].'">';
+print '<form method="POST" id="searchFormList" action="' . $_SERVER["PHP_SELF"] . '">';
 if ($optioncss != '') {
-	print '<input type="hidden" name="optioncss" value="'.$optioncss.'">';
+	print '<input type="hidden" name="optioncss" value="' . $optioncss . '">';
 }
-print '<input type="hidden" name="token" value="'.newToken().'">';
+print '<input type="hidden" name="token" value="' . newToken() . '">';
 print '<input type="hidden" name="formfilteraction" id="formfilteraction" value="list">';
 print '<input type="hidden" name="action" value="list">';
-print '<input type="hidden" name="sortfield" value="'.$sortfield.'">';
-print '<input type="hidden" name="sortorder" value="'.$sortorder.'">';
-print '<input type="hidden" name="contextpage" value="'.$contextpage.'">';
-print '<input type="hidden" name="socid" value="'.$socid.'">';
-print '<input type="hidden" name="mode"value="'.$mode.'">';
+print '<input type="hidden" name="sortfield" value="' . $sortfield . '">';
+print '<input type="hidden" name="sortorder" value="' . $sortorder . '">';
+print '<input type="hidden" name="contextpage" value="' . $contextpage . '">';
+print '<input type="hidden" name="socid" value="' . $socid . '">';
+print '<input type="hidden" name="mode"value="' . $mode . '">';
 
 print_barre_liste($title, $page, $_SERVER["PHP_SELF"], $param, $sortfield, $sortorder, $massactionbutton, $num, $nbtotalofrecords, 'propal', 0, $newcardbutton, '', $limit, 0, 0, 1);
 
 $topicmail = "SendPropalRef";
 $modelmail = "propal_send";
 $objecttmp = new Propal($db);
-$trackid = 'pro'.$object->id;
-include DOL_DOCUMENT_ROOT.'/core/tpl/massactions_pre.tpl.php';
+$trackid = 'pro' . $object->id;
+include DOL_DOCUMENT_ROOT . '/core/tpl/massactions_pre.tpl.php';
 
 if ($massaction == 'prevalidate') {
 	print $form->formconfirm($_SERVER["PHP_SELF"], $langs->trans("ConfirmMassValidation"), $langs->trans("ConfirmMassValidationQuestion"), "validate", null, '', 0, 200, 500, 1);
@@ -1180,7 +1197,7 @@
 	foreach ($fieldstosearchall as $key => $val) {
 		$fieldstosearchall[$key] = $langs->trans($val);
 	}
-	print '<div class="divsearchfieldfilter">'.$langs->trans("FilterOnInto", $search_all).implode(', ', $fieldstosearchall).'</div>';
+	print '<div class="divsearchfieldfilter">' . $langs->trans("FilterOnInto", $search_all) . implode(', ', $fieldstosearchall) . '</div>';
 }
 
 $i = 0;
@@ -1192,37 +1209,37 @@
 	$langs->load("commercial");
 	$moreforfilter .= '<div class="divsearchfield">';
 	$tmptitle = $langs->trans('ThirdPartiesOfSaleRepresentative');
-	$moreforfilter .= img_picto($tmptitle, 'user', 'class="pictofixedwidth"').$formother->select_salesrepresentatives($search_sale, 'search_sale', $user, 0, $tmptitle, 'maxwidth250 widthcentpercentminusx', 1);
+	$moreforfilter .= img_picto($tmptitle, 'user', 'class="pictofixedwidth"') . $formother->select_salesrepresentatives($search_sale, 'search_sale', $user, 0, $tmptitle, 'maxwidth250 widthcentpercentminusx', 1);
 	$moreforfilter .= '</div>';
 }
 // If the user can view prospects other than his'
 if ($user->hasRight('user', 'user', 'lire')) {
 	$moreforfilter .= '<div class="divsearchfield">';
 	$tmptitle = $langs->trans('LinkedToSpecificUsers');
-	$moreforfilter .= img_picto($tmptitle, 'user', 'class="pictofixedwidth"').$form->select_dolusers((empty($search_user) ? -2 : 0), 'search_user', $tmptitle, '', 0, '', '', 0, 0, 0, '', 0, '', 'maxwidth250 widthcentpercentminusx');
+	$moreforfilter .= img_picto($tmptitle, 'user', 'class="pictofixedwidth"') . $form->select_dolusers((empty($search_user) ? -2 : 0), 'search_user', $tmptitle, '', 0, '', '', 0, 0, 0, '', 0, '', 'maxwidth250 widthcentpercentminusx');
 	$moreforfilter .= '</div>';
 }
 // If the user can view products
 if (isModEnabled('category') && $user->hasRight('categorie', 'read') && ($user->hasRight('product', 'read') || $user->hasRight('service', 'read'))) {
 	$searchCategoryProductOperator = -1;
-	include_once DOL_DOCUMENT_ROOT.'/categories/class/categorie.class.php';
+	include_once DOL_DOCUMENT_ROOT . '/categories/class/categorie.class.php';
 	$tmptitle = $langs->trans('IncludingProductWithTag');
 	$formcategory = new FormCategory($db);
 	$moreforfilter .= $formcategory->getFilterBox(Categorie::TYPE_PRODUCT, array($search_product_category), 'maxwidth300', $searchCategoryProductOperator, 0, 0, $tmptitle);
 }
 if (isModEnabled('category') && $user->hasRight('categorie', 'lire')) {
-	require_once DOL_DOCUMENT_ROOT.'/categories/class/categorie.class.php';
+	require_once DOL_DOCUMENT_ROOT . '/categories/class/categorie.class.php';
 	$moreforfilter .= '<div class="divsearchfield">';
 	$tmptitle = $langs->trans('CustomersProspectsCategoriesShort');
-	$moreforfilter .= img_picto($tmptitle, 'category', 'class="pictofixedwidth"').$formother->select_categories('customer', $search_categ_cus, 'search_categ_cus', 1, $tmptitle, (empty($conf->dol_optimize_smallscreen) ? 'maxwidth300 widthcentpercentminusx' : 'maxwidth250 widthcentpercentminusx'));
+	$moreforfilter .= img_picto($tmptitle, 'category', 'class="pictofixedwidth"') . $formother->select_categories('customer', $search_categ_cus, 'search_categ_cus', 1, $tmptitle, (empty($conf->dol_optimize_smallscreen) ? 'maxwidth300 widthcentpercentminusx' : 'maxwidth250 widthcentpercentminusx'));
 	$moreforfilter .= '</div>';
 }
 if (isModEnabled('stock') && getDolGlobalString('WAREHOUSE_ASK_WAREHOUSE_DURING_PROPAL')) {
-	require_once DOL_DOCUMENT_ROOT.'/product/class/html.formproduct.class.php';
+	require_once DOL_DOCUMENT_ROOT . '/product/class/html.formproduct.class.php';
 	$formproduct = new FormProduct($db);
 	$moreforfilter .= '<div class="divsearchfield">';
 	$tmptitle = $langs->trans('Warehouse');
-	$moreforfilter .= img_picto($tmptitle, 'stock', 'class="pictofixedwidth"').$formproduct->selectWarehouses($search_warehouse, 'search_warehouse', '', $tmptitle, 0, 0, $tmptitle);
+	$moreforfilter .= img_picto($tmptitle, 'stock', 'class="pictofixedwidth"') . $formproduct->selectWarehouses($search_warehouse, 'search_warehouse', '', $tmptitle, 0, 0, $tmptitle);
 	$moreforfilter .= '</div>';
 }
 $parameters = array();
@@ -1244,7 +1261,7 @@
 $selectedfields .= (count($arrayofmassactions) ? $form->showCheckAddButtons('checkforselect', 1) : '');
 
 print '<div class="div-table-responsive">';
-print '<table class="tagtable nobottomiftotal liste'.($moreforfilter ? " listwithfilterbefore" : "").'">'."\n";
+print '<table class="tagtable nobottomiftotal liste' . ($moreforfilter ? " listwithfilterbefore" : "") . '">' . "\n";
 
 print '<tr class="liste_titre_filter">';
 
@@ -1258,44 +1275,44 @@
 
 if (!empty($arrayfields['p.ref']['checked'])) {
 	print '<td class="liste_titre">';
-	print '<input class="flat maxwidth50" type="text" name="search_ref" value="'.dol_escape_htmltag($search_ref).'">';
+	print '<input class="flat maxwidth50" type="text" name="search_ref" value="' . dol_escape_htmltag($search_ref) . '">';
 	print '</td>';
 }
 if (!empty($arrayfields['p.ref_client']['checked'])) {
 	print '<td class="liste_titre">';
-	print '<input class="flat maxwidth50" type="text" name="search_refcustomer" value="'.dol_escape_htmltag($search_refcustomer).'">';
+	print '<input class="flat maxwidth50" type="text" name="search_refcustomer" value="' . dol_escape_htmltag($search_refcustomer) . '">';
 	print '</td>';
 }
 if (!empty($arrayfields['pr.ref']['checked'])) {
 	print '<td class="liste_titre">';
-	print '<input class="flat maxwidth50" type="text" name="search_refproject" value="'.dol_escape_htmltag($search_refproject).'">';
+	print '<input class="flat maxwidth50" type="text" name="search_refproject" value="' . dol_escape_htmltag($search_refproject) . '">';
 	print '</td>';
 }
 if (!empty($arrayfields['pr.title']['checked'])) {
 	print '<td class="liste_titre">';
-	print '<input class="flat maxwidth50" type="text" name="search_project" value="'.dol_escape_htmltag($search_project).'">';
+	print '<input class="flat maxwidth50" type="text" name="search_project" value="' . dol_escape_htmltag($search_project) . '">';
 	print '</td>';
 }
 if (!empty($arrayfields['s.nom']['checked'])) {
 	print '<td class="liste_titre" align="left">';
-	print '<input class="flat maxwidth100" type="text" name="search_societe" value="'.dol_escape_htmltag($search_societe).'"'.($socid > 0 ? " disabled" : "").'>';
+	print '<input class="flat maxwidth100" type="text" name="search_societe" value="' . dol_escape_htmltag($search_societe) . '"' . ($socid > 0 ? " disabled" : "") . '>';
 	print '</td>';
 }
 if (!empty($arrayfields['s.name_alias']['checked'])) {
 	print '<td class="liste_titre" align="left">';
-	print '<input class="flat maxwidth100" type="text" name="search_societe_alias" value="'.dol_escape_htmltag($search_societe_alias).'">';
+	print '<input class="flat maxwidth100" type="text" name="search_societe_alias" value="' . dol_escape_htmltag($search_societe_alias) . '">';
 	print '</td>';
 }
 if (!empty($arrayfields['s.town']['checked'])) {
-	print '<td class="liste_titre"><input class="flat maxwidth50" type="text" name="search_town" value="'.$search_town.'"></td>';
+	print '<td class="liste_titre"><input class="flat maxwidth50" type="text" name="search_town" value="' . $search_town . '"></td>';
 }
 if (!empty($arrayfields['s.zip']['checked'])) {
-	print '<td class="liste_titre"><input class="flat maxwidth50" type="text" name="search_zip" value="'.$search_zip.'"></td>';
+	print '<td class="liste_titre"><input class="flat maxwidth50" type="text" name="search_zip" value="' . $search_zip . '"></td>';
 }
 // State
 if (!empty($arrayfields['state.nom']['checked'])) {
 	print '<td class="liste_titre">';
-	print '<input class="flat maxwidth50" type="text" name="search_state" value="'.dol_escape_htmltag($search_state).'">';
+	print '<input class="flat maxwidth50" type="text" name="search_state" value="' . dol_escape_htmltag($search_state) . '">';
 	print '</td>';
 }
 // Country
@@ -1389,19 +1406,19 @@
 if (!empty($arrayfields['p.total_ht']['checked'])) {
 	// Amount
 	print '<td class="liste_titre right">';
-	print '<input class="flat" type="text" size="5" name="search_montant_ht" value="'.dol_escape_htmltag($search_montant_ht).'">';
+	print '<input class="flat" type="text" size="5" name="search_montant_ht" value="' . dol_escape_htmltag($search_montant_ht) . '">';
 	print '</td>';
 }
 if (!empty($arrayfields['p.total_tva']['checked'])) {
 	// Amount
 	print '<td class="liste_titre right">';
-	print '<input class="flat" type="text" size="5" name="search_montant_vat" value="'.dol_escape_htmltag($search_montant_vat).'">';
+	print '<input class="flat" type="text" size="5" name="search_montant_vat" value="' . dol_escape_htmltag($search_montant_vat) . '">';
 	print '</td>';
 }
 if (!empty($arrayfields['p.total_ttc']['checked'])) {
 	// Amount
 	print '<td class="liste_titre right">';
-	print '<input class="flat" type="text" size="5" name="search_montant_ttc" value="'.dol_escape_htmltag($search_montant_ttc).'">';
+	print '<input class="flat" type="text" size="5" name="search_montant_ttc" value="' . dol_escape_htmltag($search_montant_ttc) . '">';
 	print '</td>';
 }
 if (!empty($arrayfields['p.total_ht_invoiced']['checked'])) {
@@ -1423,25 +1440,25 @@
 if (!empty($arrayfields['p.multicurrency_tx']['checked'])) {
 	// Currency rate
 	print '<td class="liste_titre">';
-	print '<input class="flat" type="text" size="4" name="search_multicurrency_tx" value="'.dol_escape_htmltag($search_multicurrency_tx).'">';
+	print '<input class="flat" type="text" size="4" name="search_multicurrency_tx" value="' . dol_escape_htmltag($search_multicurrency_tx) . '">';
 	print '</td>';
 }
 if (!empty($arrayfields['p.multicurrency_total_ht']['checked'])) {
 	// Amount
 	print '<td class="liste_titre right">';
-	print '<input class="flat" type="text" size="4" name="search_multicurrency_montant_ht" value="'.dol_escape_htmltag($search_multicurrency_montant_ht).'">';
+	print '<input class="flat" type="text" size="4" name="search_multicurrency_montant_ht" value="' . dol_escape_htmltag($search_multicurrency_montant_ht) . '">';
 	print '</td>';
 }
 if (!empty($arrayfields['p.multicurrency_total_tva']['checked'])) {
 	// Amount
 	print '<td class="liste_titre right">';
-	print '<input class="flat" type="text" size="4" name="search_multicurrency_montant_vat" value="'.dol_escape_htmltag($search_multicurrency_montant_vat).'">';
+	print '<input class="flat" type="text" size="4" name="search_multicurrency_montant_vat" value="' . dol_escape_htmltag($search_multicurrency_montant_vat) . '">';
 	print '</td>';
 }
 if (!empty($arrayfields['p.multicurrency_total_ttc']['checked'])) {
 	// Amount
 	print '<td class="liste_titre right">';
-	print '<input class="flat" type="text" size="4" name="search_multicurrency_montant_ttc" value="'.dol_escape_htmltag($search_multicurrency_montant_ttc).'">';
+	print '<input class="flat" type="text" size="4" name="search_multicurrency_montant_ttc" value="' . dol_escape_htmltag($search_multicurrency_montant_ttc) . '">';
 	print '</td>';
 }
 if (!empty($arrayfields['p.multicurrency_total_ht_invoiced']['checked'])) {
@@ -1457,7 +1474,7 @@
 if (!empty($arrayfields['u.login']['checked'])) {
 	// Author
 	print '<td class="liste_titre">';
-	print '<input class="flat maxwidth75" type="text" name="search_login" value="'.dol_escape_htmltag($search_login).'">';
+	print '<input class="flat maxwidth75" type="text" name="search_login" value="' . dol_escape_htmltag($search_login) . '">';
 	print '</td>';
 }
 if (!empty($arrayfields['sale_representative']['checked'])) {
@@ -1480,7 +1497,7 @@
 	print '</td>';
 }
 // Extra fields
-include DOL_DOCUMENT_ROOT.'/core/tpl/extrafields_list_search_input.tpl.php';
+include DOL_DOCUMENT_ROOT . '/core/tpl/extrafields_list_search_input.tpl.php';
 
 // Fields from hook
 $parameters = array('arrayfields' => $arrayfields);
@@ -1504,7 +1521,7 @@
 if (!empty($arrayfields['p.note_public']['checked'])) {
 	// Note public
 	print '<td class="liste_titre">';
-	print '<input class="flat maxwidth75" type="text" name="search_note_public" value="'.dol_escape_htmltag($search_note_public).'">';
+	print '<input class="flat maxwidth75" type="text" name="search_note_public" value="' . dol_escape_htmltag($search_note_public) . '">';
 	print '</td>';
 }
 if (!empty($arrayfields['p.note_private']['checked'])) {
@@ -1515,7 +1532,7 @@
 // Import key
 if (!empty($arrayfields['p.import_key']['checked'])) {
 	print '<td class="liste_titre maxwidthonsmartphone center">';
-	print '<input class="flat searchstring maxwidth50" type="text" name="search_import_key" value="'.dol_escape_htmltag($search_import_key).'">';
+	print '<input class="flat searchstring maxwidth50" type="text" name="search_import_key" value="' . dol_escape_htmltag($search_import_key) . '">';
 	print '</td>';
 }
 // Status
@@ -1701,7 +1718,7 @@
 	$totalarray['nbfield']++;
 }
 // Extra fields
-include DOL_DOCUMENT_ROOT.'/core/tpl/extrafields_list_search_title.tpl.php';
+include DOL_DOCUMENT_ROOT . '/core/tpl/extrafields_list_search_title.tpl.php';
 // Hook fields
 $parameters = array(
 	'arrayfields' => $arrayfields,
@@ -1747,7 +1764,7 @@
 	print_liste_field_titre($selectedfields, $_SERVER["PHP_SELF"], "", '', '', 'align="center"', $sortfield, $sortorder, 'maxwidthsearch ');
 	$totalarray['nbfield']++;
 }
-print '</tr>'."\n";
+print '</tr>' . "\n";
 
 // Loop on record
 // --------------------------------------------------------------------
